Chapter 12. Db_vector_base_iterator
Prev |  | Next

## Chapter 12. Db_vector_base_iterator

This class is the const iterator class for db_vector , and it is inheirted by the db_vector_iterator class, which is the iterator class for db_vector .

#### Public Members

Member | Description
--- | ---
db_vector_base_iterator |
~db_vector_base_iterator |
operator== | Equality comparison operator.
operator!= | Unequal compare, identical to !operator(==itr).
operator< | Less than comparison operator.
operator<= | Less equal comparison operator.
operator>= | Greater equal comparison operator.
operator> | Greater comparison operator.
operator++ | Pre-increment.
operator-- | Pre-decrement.
operator= | Assignment operator.
operator+ | Iterator movement operator.
operator+= | Move this iterator backward by n elements.
operator- | Iterator movement operator.
operator-= | Move this iterator forward by n elements.
operator * | Dereference operator.
operator-> | Arrow operator.
operator[] | Iterator index operator.
get_current_index | Get current index of within the vector.
move_to | Iterator movement function.
refresh | Refresh iterator cached value.
close_cursor | Close underlying Berkeley DB cursor of this iterator.
set_bulk_buffer | Modify bulk buffer size.
get_bulk_bufsize | Get bulk retrieval buffer size in bytes.

#### Group

Iterator Classes for db_vector

## db_vector_base_iterator

### Function Details

    db_vector_base_iterator(const db_vector_base_iterator< T > &vi)

    db_vector_base_iterator(db_container *powner, u_int32_t b_bulk_retrieval=0,
        bool rmw=false, bool directdbget=true,
        bool readonly=false)

    db_vector_base_iterator()

### Group: Constructors and destroctor

Do not construct iterators explictily using these constructors, but call db_vector::begin() const to get an valid iterator.

db_vector::begin() const

### Class

db_vector_base_iterator

Prev |  | Next
Chapter 11. Iterator Classes for db_vector | Home | ~db_vector_base_iterator